##############################################################################
#
# Copyright (c) 2002 Zope Corporation and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""Resource access

$Id: resource.py,v 1.1 2003/04/10 03:09:58 shane Exp $
"""

from interfaces import IResourceAccess


class StaticResource:
    """Simple, static resource"""

    __implements__ = IResourceAccess

    def __init__(self, r):
        self.r = r

    def access(self, consumer):
        return self.r

    def release(self, consumer):
        pass

